# $Revision: 1.53 $, $Date: 2002/07/15 15:10:26 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Parser
Summary:	Perl HTML::Parser module
Summary(cs):	Modul pro parsovn HTML v Perlu
Summary(da):	HTML::Parser modul til Perl
Summary(de):	HTML::Parser Modul fr Perl
Summary(es):	Mdulo HTML::Parser para Perl
Summary(fr):	Module HTML::Parser pour Perl
Summary(it):	Modulo HTML::Parser per Perl
Summary(ja):	Perl  HTML::Parser
Summary(ko):	  HTML::Parser 
Summary(pl):	Modu Perla HTML::Parser
Summary(pt):	O mdulo HTML::Parser para o Perl
Summary(pt_BR):	Mdulo Perl HTML::Parser
Summary(ru):	HTML::Parser -    "" HTML-.
Summary(sv):	HTML::Parser-modul till Perl
Summary(uk):	HTML::Parser - ¦ ̦   HTML-Ԧ
Summary(zh_CN):	Perl  HTML ģ顣
Name:		perl-HTML-Parser
Version:	3.26
Release:	13
License:	distributable
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildConflicts:	perl-HTML-Stream = 1.45-3
BuildRequires:	perl-HTML-Tagset
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# HTTP::Headers (perl-libwww) is not always required
%define		_noautoreq	"perl(HTTP::Headers)"

%description
Perl module HTML::Parser that allows to parse and extract information
from HTML documents.

%description -l cs
Balek perl-HTML-Parser obsahuje modul pro Perl, kter slou k
parsovn a extrahovn informac z HTML dokumentu.

%description -l da
HTML::Parser modul til Perl for at tolka og extrahere information fra
HTML-dokument.

%description -l de
HTML::Parser modul fr Perl zum Parsen und Extrahieren von
Informationen aus HTML-Dokumenten.

%description -l es
Mdulo HTML::Parser para perl para analizar y extraer informacin a
partir de documentos HTML.

%description -l fr
Module HTML::Parser pour perl permettant d'analyser et d'extraire des
informations de documents HTML.

%description -l it
Il modulo HTML::Parser per perl, che consente di analizzare documenti
HTML e di estrarne informazioni.

%description -l ja
HTML ɥȤϡФ뤿 Perl Ѥ HTML::Parser


%description -l ko
HTML::Parser   HTML    Ľϰ Բ
մϴ.

%description -l pl
Modu Perla HTML::Parser pozwalajcy na parsowanie i wyciaganie
informacji z dokumentu HTML.

%description -l pt_BR
Mdulo Perl HTML::Parser - Uma coleo de mdulos para examinar e
extrair informaes de documentos HTML.

%description -l ru
HTML::Parser -    "" HTML-.

%description -l uk
HTML::Parser - ¦ ̦   HTML-Ԧ.

%description -l pt
O mdulo HTML::Parser para o Perl analisar e extrair informaes de
documentos HTML.

%description -l sv
HTML::Parser modul till perl fr att tolka och extrahera information
frn HTML-dokument.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitearch}/HTML
%{perl_sitearch}/HTML/*.pm
%dir %{perl_sitearch}/auto/HTML
%dir %{perl_sitearch}/auto/HTML/Parser
%{perl_sitearch}/auto/HTML/Parser/Parser.bs
%attr(755,root,root) %{perl_sitearch}/auto/HTML/Parser/Parser.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-Parser.spec,v $
Revision 1.53  2002/07/15 15:10:26  ankry
- merged translations from RH
- some standarization
- cleaning
- release 13

Revision 1.52  2002/07/15 12:52:07  qboosh
- typo

Revision 1.51  2002/07/15 12:47:25  kloczek
- bump release to 12 and merge translations from KSI and Conectiva.

Revision 1.50  2002/07/11 13:04:58  qboosh
- fixed

Revision 1.49  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.48  2002/07/11 07:59:40  depesz
- new version; should work; STBR

Revision 1.47  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.46  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.45  2002/03/03 21:09:16  marcus
- rel.3.

Revision 1.44  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.43  2002/02/10 15:27:20  depesz
adapterized

Revision 1.42  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.41  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/11/10 19:08:50  speedy
some changes in License field [s/LIcense/License/ or s/Distributable/distributable]

Revision 1.39  2001/07/16 00:10:08  qboosh
- added %%{perl_sitearch}/{,auto/}HTML dirs (no other package uses them)
- release 2

Revision 1.38  2001/05/12 03:28:26  kloczek
- updated to 3.25.

Revision 1.37  2001/05/11 08:22:13  mis
- autoupdated to 3.24

Revision 1.36  2001/05/06 15:19:10  mis
- autoupdated to 3.23

Revision 1.35  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.34  2001/04/23 14:21:57  mis
- autoupdated to 3.22

Revision 1.33  2001/04/17 12:10:16  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.32  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.31  2001/04/12 12:43:48  mis
- autoupdated to 3.21

Revision 1.30  2001/04/05 01:15:41  qboosh
- removed rpmperl-automation-workaround patch, use noautoreq macro instead

Revision 1.29  2001/04/04 15:37:01  mis
- autoupdated to 3.20

Revision 1.28  2001/03/12 22:27:10  kloczek
- updated to 3.19.

Revision 1.27  2001/02/28 18:58:04  mis
- updated (by autoup) to 3.18

Revision 1.26  2001/02/11 17:51:22  depesz
perl-HTML-Parser:
- added woraround for rpm automation (some modules are NOT required for using
	this module!!!)

Revision 1.25  2001/02/08 17:48:40  kloczek
- release 2.

Revision 1.24  2001/02/08 17:40:04  qboosh
- BuildRequires: perl-HTML-Tagset
- Requires: perl-libwww (not buildreq - would cause loop)

Revision 1.23  2001/02/03 20:17:29  kloczek
- updated to 3.15 and fixed Source url.

Revision 1.22  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2001/01/06 16:37:20  kloczek
- release 5.

Revision 1.20  2001/01/05 09:47:33  yaro
- removed Build-require: perl-libwww

Revision 1.19  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.18  2000/12/06 19:30:21  kloczek
- release 4,
- use new rpm automation,
- rebuild against perl 5.6.

Revision 1.17  2000/07/16 23:47:37  kloczek
- release 3.

Revision 1.16  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.12  2000/02/17 20:21:42  pius
- added 'BuildConflicts: perl-HTML-Stream = 1.45-3'

Revision 1.11  2000/02/17 19:41:14  pius
- removed perl-HTML-Stream from BuildRequires

Revision 1.10  2000/02/17 18:09:57  pius
- updated to 3.05
- more BuildRequires rules

Revision 1.9  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.8  1999/10/30 10:24:19  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- skip perl(HTTP::Headers) during dependency generation
- release++

Revision 1.7  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.6  1999/09/15 00:07:33  wiget
- release++

Revision 1.5  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.4  1999/08/28 12:10:09  wiget
- modified for perl 5.005_61

Revision 1.3  1999/07/26 09:26:33  misiek
- added missing translations

Revision 1.2  1999/07/13 08:01:43  wiget
removed bogus line

Revision 1.1  1999/07/13 07:55:19  wiget
writen from perl-Digest-MD5.spec
